Redmine - Defect #4084

Cannot disable activity in project when activity is active on /enumerations page

2009-10-22 13:17 - Anonymous

Status: Closed Start date: 2009-10-22
Priority: High Due date:

Assignee: Eric Davis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed Affected version:

Description

Related issues:

Related to Redmine - Feature #4077: Custom fields and overrides on Enumerations Closed

2009-10-21

Associated revisions

Revision 3239 - 2009-12-24 19:25 - Eric Davis

Project#activities should check all overridden activities, not just active ones.

Fixes #4084

History

#1 - 2009-10-22 19:50 - Jean-Philippe Lang
Please read SubmittingBugs and give steps to reproduce.

#2 - 2009-10-23 18:00 - Anonymous
- File projectSettingsActivities1.jpg added
- File projectSettingsActivities2.jpg added

After setting project specific activities like on projectSettingsActivities1.jpg (one is active). | expect to see only one option while logging time

(projectSettingsActivities2.jpg).

I think it is confusing because to get expected behavior | have to disable all activities on Administration -> Enumerations page.

#3 - 2009-10-27 01:51 - Eric Davis
- Status changed from New to 7

- Assignee set to Eric Davis

I'll take a look at it.

#4 - 2009-12-14 02:57 - Mischa The Evil

- File projectsettings_activities-3_after-reactivation-and-save.jpg added

- File enumerations.jpg added

- File projectsettings_activities-1.jpg added

- File projectsettings_activities-2_beforesave.jpg added
- File projectsettings_activities-2_aftersave.jpg added

- File spenttime.jpg added

| am able to reproduce the issue.

My environment:

[mischa@server xxx]# svn info

Path:

URL: http://redmine.rubyforge.org/svn/trunk
Repository Root: http://redmine.rubyforge.org/svn
Repository UUID: e93f8b46-1217-0410-a6£f0-8£f06a7374b81

Revision: 3171

Node Kind: directory

Schedule: normal

Last Changed Author: jplang

Last Changed Rev: 3171

Last Changed Date: 2009-12-13 15:55:17 +0100 (Sun, 13 Dec 2009)

[mischa@server xxx]# svn status
? public/themes/squeejee

[mischa@server xxx]# ./script/about
About your application's environment
Ruby version 1.8.6 (i686-1linux)

RubyGems version 00D

Rack version 1.0

Rails version 2.3.4
Active Record version 2.3.4
Active Resource version 2.3.4
Action Mailer version 2.3.4
Active Support version 2.3.4
Application root /XXX
Environment production
Database adapter mysql

Database schema version 20091205124427

[mischa@server xxx]# mysgl —--version
mysgql Ver 14.7 Distrib 4.1.20, for redhat-linux-gnu (i686) using readline 4.3

Steps to reproduce (with screenshots):

1. My activity-enumerations are set like:
enumerations.jpg

2. By default the random project's (here child2-1) activities settings look like:
projectsettings_activities-1.jpg

3. On the random project (here child2-1) | want to disable the Development-activity, thus | deselect the checkbox for that activity. Before | click
"save" the screen looks like:
projectsettings_activities-2_beforesave.jpg

4. After I've clicked "save" the screen looks like below (notice the removed system activity tick):
projectsettings_activities-2_aftersave.jpg
If | now take a look at my global activity-enumerations they still are configured as in step 1's screenshot.

5. Although | have disabled the Development-activity in steps 3 and 4 | still see the activity in the spenttime-view's activities-dropdown:
spenttime.jpg

6. Also: when | now go back to the project's activities settings, re-activate the Development-activity and "save", | get the following config:
projectsettings_activities-3_after-reactivation-and-save.jpg
The only way to get the removed system activity tick back is to reset all the project's activities using the dedicated text-button.

Feedback from the logs:
The logs which are written during steps 3 and 4 look like:

Processing ProjectsController#settings (for 192.168.1.2 at 2009-12-14 07:08:31) [GET]
Parameters: {"action"=>"settings", "id"=>"child2-1", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/settings

Completed in 1293ms (View: 1214, DB: 47) | 200 OK [http://xxx/projects/child2-1/settings]

Processing ProjectsController#save_activities (for 192.168.1.2 at 2009-12-14 07:08:47) [POST]

Parameters: {"enumerations"=>{"8"=>{"parent_id"=>"8", "active"=>"1"}, "9"=>{"parent_id"=>"9", "active"=>"0"}
}, "commit"=>"Save", "action"=>"save_activities", "authenticity_token"=>"RemovedForSecurityReasons", "id"=>"ch
ild2-1", "controller"=>"projects"}

Redirected to http://xxx/projects/child2-1/settings/activities
Completed in 78ms (DB: 35) | 302 Found [http://xxx/projects/child2-1/activities/save]

Processing ProjectsController#settings (for 192.168.1.2 at 2009-12-14 07:08:47) [GET]
Parameters: {"action"=>"settings", "id"=>"child2-1", "controller"=>"projects", "tab"=>"activities"}
Rendering template within layouts/base
Rendering projects/settings
Completed in 508ms (View: 443, DB: 42) | 200 OK [http://xxx/projects/child2-1/settings/activities]
Hope this is enough information to further debug this issue. If any more info in required to fix this issue, please let me know. I'm happy to provide

further details where needed.

Regards, Mischa.

#5 - 2009-12-17 02:14 - Eric Davis

- Target version set to 0.9.0

Mischa The Evil wrote:

1. Although | have disabled the Development-activity in steps 3 and 4 | still see the activity in the spenttime-view's activities-dropdown:

spenttime.jpg

That's a bug. | suspect it's mixing the system Development activity into the project one.

The only way to get the removed system activity tick back is to reset all the project's activities using the dedicated text-button.

That's the correct behavior.

Thanks Mischa, that helps pinpoint the issue. [I'll try to have it fixed for 0.9.

#6 - 2009-12-23 21:06 - Jean-Philippe Lang
- Priority changed from Normal to High

#7 - 2009-12-24 19:23 - Eric Davis
- Status changed from 7 to Closed
- % Done changed from 0 to 100

- Resolution set to Fixed

Fixed in r3239. The project was checking for only active project level activities that overrode the system activities. In Mischa's example, this meant

that the Project didn't see the project level "Development” so it used the system one.

Files

projectSettingsActivities1.jpg

projectSettingsActivities2.jpg
projectsettings_activities-3_after-reactivation-and-save.jpg
enumerations.jpg

projectsettings_activities-1.jpg
projectsettings_activities-2_beforesave.jpg
projectsettings_activities-2_aftersave.jpg

spenttime.jpg

2025-07-09

37.2 KB
38.2 KB
21.3 KB
28.1 KB
23.8 KB
24.7 KB
20.9 KB
17.7 KB

2009-10-23
2009-10-23
2009-12-14
2009-12-14
2009-12-14
2009-12-14
2009-12-14
2009-12-14

Anonymous

Anonymous
Mischa The Evil
Mischa The Evil
Mischa The Evil
Mischa The Evil
Mischa The Evil
Mischa The Evil

3/3


https://www.redmine.org/projects/redmine/repository/svn/revisions/3239
http://www.tcpdf.org

